using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IWorkerLogic
	{
		List<WorkerViewModel>? ReadList(WorkerSearchModel? model);
		WorkerViewModel? ReadElement(WorkerSearchModel? model);
		bool Create(WorkerBindingModel? model);
		bool Update(WorkerBindingModel? model);
		bool Delete(WorkerBindingModel? model);
	}
}
